### Method

# Lfb Event trigger_feedback_async

#### Declaration [src]

    void
    lfb_event_trigger_feedback_async (
      LfbEvent* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Tells the feedback server to provide proper feedback for the give event to the user. This is the sync version of `lfb_event_trigger_feedback()`.

This method completes asynchronously. Use `lfb_event_trigger_feedback_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.